Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common.plugin
Interface PluginField

public interface PluginField
extends java.io.Serializable

The interface that a plugin has to implement to define a new field. Fields are used by the expression evaluator to extract information from an incoming `EventData` object.

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `FieldInfo`

Method Summary
`java.lang.Object` | `evaluate(EvaluationContext context)` Evaluate the field.
`void` | `init(java.lang.String name, java.lang.String eventDescriptor)` Set the name and event descriptor associated with this field.
`void` | `setQualifier(PluginField qualifier)` Set the field qualifier.

Method Detail

### init

    public void init(java.lang.String name,
                     java.lang.String eventDescriptor)
              throws PluginException

  Set the name and event descriptor associated with this field. This method provides plugin fields the opportunity to access external data dictionary information to retrieve column details to be saved as part of the compiled expression.

  Parameters:
    `name` - The field name.
    `eventDescriptor` - The event descriptor.
  Throws:
    PluginException - if the field is unable to initialize itself.

### setQualifier

    public void setQualifier(PluginField qualifier)
                      throws PluginException

  Set the field qualifier. This method is called when the expression parser encounters a qualified field reference; it provides plugin fields the opportunity to access external data dictionary information to retrieve column details to be saved as part of the compiled expression.

  Parameters:
    `qualifier` - The field qualifier, of the same class as `this` object.
  Throws:
    PluginException - if the qualifier is invalid, for example.

### evaluate

    public java.lang.Object evaluate(EvaluationContext context)
                              throws PluginException

  Evaluate the field. The expression evaluator calls this method when it needs to retrieve the value of the field referenced by this object from the event datum contained within the `context` parameter. The plugin field must take account of any field qualifiers it has when calculating its value.

  Parameters:
    `context` - The evaluation context. The plugin field can call the the `EvaluationContext.getEventData()` to access the event datum.
  Returns:
    The result of evaluating this field against the event data contained in the `context` parameter.
  Throws:
    PluginException - if an exception occurs during field evaluation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)